Skip to main content
`Ctrl`+`K`

# DMPlexTransformSetType

Sets the particular implementation for a transform.

## Synopsis

    #include "petscdmplextransform.h"
    PetscErrorCode DMPlexTransformSetType(DMPlexTransform tr, DMPlexTransformType method)

Collective

## Input Parameters

- tr - The transform

- method - The name of the transform type

## Options Database Key

- -dm_plex_transform_type <type> - Sets the transform type; see `DMPlexTransformType`

## See Also

DMPlex: Unstructured Grids, `DM`, `DMPLEX`, `DMPlexTransform`, `DMPlexTransformType`, `DMPlexTransformGetType()`, `DMPlexTransformCreate()`

## Level

intermediate

## Location

src/dm/impls/plex/transform/interface/plextransform.c

## Examples

src/ts/tutorials/ex30.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages